Subject: Make @required default and add @optional instead
Description

Setter injection methods can currently be annotated with @required. It seems to be that most injected dependencies are required, so
this should be the default and instead optional dependencies should be marked with @optional.

Associated revisions
Revision b92f826d - 2008-08-22 12:13 - Karsten Dambekalns

FLOW3: autowired setter injectors are now required by default, fixes #1209.

Revision c9f0ecfe - 2008-08-22 12:38 - Karsten Dambekalns

FLOW3: autowired setter injectors are now required by default, see r1145, relates to #1209.

History
#1 - 2008-08-04 13:48 - Sebastian Kurfuerst

bla

#2 - 2008-08-22 11:26 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Robert Lemke to Karsten Dambekalns

#3 - 2008-08-22 12:34 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1145.
